Docs
Search docs...⌘K

Overview - Mentions

GET/v3/brand-radar/mentions-overview

Requests to this endpoint consume API units based on the prompts parameter: requests returning only custom prompt data are free, while requests including Ahrefs prompt data follow standard API unit pricing.

Query parameters

wherestring

The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the select parameter).

cited_domain: The domain of a page that was used to generate the response.
type: domain

cited_domain_subdomains: The domain of a page that was used to generate the response. Any subdomain of the given domain will also match.
type: string

cited_url_exact: The URL of a page that was used to generate the response.
type: string

cited_url_prefix: The URL of a page that was used to generate the response. Any URL that starts with this prefix will match.
type: string

question: The question asked by the user.
type: string

response (10 units): The response from the model.
type: string

search_queries: The search query used by the chatbot to find information for the response. Only available when data_source is set to chatgpt or perplexity.
type: string

topic: The topic of the query.
type: string

selectstringRequired

A comma-separated list of columns to return. See response schema for valid column identifiers.

countryarray

A comma-separated list of two-letter country codes (ISO 3166-1 alpha-2).

report_idstring

The ID of the report to use. If one is given, other parameters are taken from the report (brand, competitors, market, country, filters). If country or filters are provided, they override the ones in the report. You can find it in the URL of your Brand Radar report in Ahrefs: https://app.ahrefs.com/brand-radar/reports/#report_id#/...

promptsstring

The type of prompts to use. If not specified, both will be used. Custom prompts require a report_id to be provided.

Allowed values:ahrefscustom
data_sourcestringRequired

The chatbot model to use.

Allowed values:google_ai_overviewsgoogle_ai_modechatgptgeminiperplexitycopilot
marketstring

A comma-separated list of the niche markets of your brands.

competitorsstring

A comma-separated list of competitors of your brands.

brandstring

A comma-separated list of brands to search for. At least one of brand, competitors, market or where should not be empty.

outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

metricsarray
brandstring

Brand name (either your brand or a competitor provided in the request).

no_tracked_brandsinteger

Estimated mentions from responses related to the specified market that do not mention any provided brands (value is zero when market is not specified).

only_competitors_brandsinteger

Estimated mentions from responses mentioning only competitor brands.

only_target_brandinteger

Estimated mentions from responses mentioning only your brand.

target_and_competitors_brandsinteger

Estimated mentions from responses mentioning both your and competitor brands.

totalinteger

Total estimated mentions for your brand (includes both only_target_brand and target_and_competitors_brands).